<?php
$valid = true;
$acessosDao = new \Dao\Acessos();
$acessosDao->getAcessoPorId($conecta, $conecta->real_escape_string(filter_input(INPUT_POST, 'id')));
$acessosDao->nome = $conecta->real_escape_string(filter_input(INPUT_POST, 'nome'));
$acessosDao->email = $conecta->real_escape_string(filter_input(INPUT_POST, 'email'));
$acessosDao->usuario = $conecta->real_escape_string(filter_input(INPUT_POST, 'usuario'));
$acessosDao->fk_id_empresa = $conecta->real_escape_string(filter_input(INPUT_POST, 'id_empresa'));
$acessosDao->situacao = $conecta->real_escape_string(filter_input(INPUT_POST, 'situacao'));
$senha = $conecta->real_escape_string(filter_input(INPUT_POST, 'senha'));
$conf_senha = $conecta->real_escape_string(filter_input(INPUT_POST, 'conf_senha'));
if ($acessosDao->id == 0 && $senha == '') {
    \Dao\Funcoes::displayMessage('Erro', 'Necessário Informar a Senha!', '?p=acessos&id=' . base64_encode($acessosDao->fk_id_empresa), 'red');
    $valid = false;
}
if ($senha != '' && ($senha != $conf_senha)) {
    \Dao\Funcoes::displayMessage('Erro', 'Senhas Informadas Não São Iguais!', '?p=acessos&id=' . base64_encode($acessosDao->fk_id_empresa), 'red');
    $valid = false;
}
$acessosDao->senha = md5($senha);
$acessosDao->data_cadastro = date('Y-m-d H:i:s');
$acessosDao->data_alteracao = date('Y-m-d H:i:s');
$acessosDao->usuario_cadastrou = $_SESSION['id_usuario'];
$acessosDao->usuario_alterou = $_SESSION['id_usuario'];
if ($valid) {
    $res = json_decode($acessosDao->salvar($conecta));
    if ($res->data == 'Success')
        \Dao\Funcoes::displayMessage('Confirmação', $res->message, '?p=acessos&id=' . base64_encode($acessosDao->fk_id_empresa));
    else
        \Dao\Funcoes::displayMessage('Erro', $res->message, '?p=acessos&id=' . base64_encode($acessosDao->fk_id_empresa), 'red');
}